%define	name	irssi
%define version 0.8.11
%define	rel	1
%define subrel	1

Name:		%{name}
Version:	%{version}
Release: 	%mkrel %{rel}
Summary:	Irssi is an IRC client
License:	GPL
Group:		Networking/IRC
BuildRequires:	glib2-devel ncurses-devel perl-devel openssl-devel
URL:		http://irssi.org/
Source0:	http://irssi.org/irssi/files/%{name}-%{version}.tar.bz2
Patch0:		irssi-0.8.11-makefile-race-fix.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Irssi is a modular and flexible IRC client for UNIX that has only a text mode
user interface (but as 80-90% of the code isn't text mode specific, other UIs
could be created pretty easily). Also, Irssi isn't really even IRC specific
anymore, there are already working SILC and ICB modules available. Support for
other protocols like ICQ and Jabber could be created some day too.

Irssi is one of the most popular IRC clients at the moment.

%package	devel
Group:		Development/C
Summary:	Static libraries for the development of irssi applications
Requires:	%{name} = %{version}

%description	devel
Static libraries for the development of irssi applications.

%package	perl
Group:		Networking/IRC
Summary:	Perl plugin for irssi
Requires:	%{name} = %{version}
Conflicts:	perl-silc

%description	perl
Perl plugin for irssi.

%prep
%setup -q 
%patch0 -p1 -b .parallel

%build
%configure2_5x	--with-plugins \
		--enable-ipv6 \
		--with-proxy \
		--with-socks \
		--with-bot \
		--with-perl=module \
		--with-perl-lib=%{perl_vendorlib}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

# Files that should not be installed:
rm -f %{buildroot}%{perl_vendorarch}/perllocal.pod
rm -rf %{buildroot}%{_docdir}/%{name}

%multiarch_includes %{buildroot}%{_includedir}/%{name}/config.h

%clean
rm -rf %{buildroot}

%files
%defattr (-,root,root)
%doc AUTHORS README TODO NEWS docs/*
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/modules
%exclude %{_libdir}/%{name}/modules/libfe_perl.*
%exclude %{_libdir}/%{name}/modules/libperl_core.*
%{_libdir}/%{name}/modules/*.so
%{_libdir}/%{name}/modules/*.la
%{_libdir}/%{name}/modules/*so.*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_mandir}/man1/%{name}.1*

%files devel
%defattr(-,root,root)
%{_libdir}/%{name}/modules/*.a
%{_includedir}/%{name}
%multiarch %{multiarch_includedir}/%{name}

%files perl
%defattr(-,root,root)
%{_libdir}/%{name}/modules/libfe_perl.so
%{_libdir}/%{name}/modules/libfe_perl.la
%{_libdir}/%{name}/modules/libperl_core.so
%{_libdir}/%{name}/modules/libperl_core.la
%{perl_vendorarch}/Irssi*
%{perl_vendorarch}/auto/*


%changelog
* Sun Oct 21 2007 Anssi Hannula <anssi@mandriva.org> 0.8.11-1.1mdv2008.0
+ Revision: 100731
- add missing SSL support

* Mon Apr 30 2007 Michael Scherer <misc@mandriva.org> 0.8.11-1mdv2008.0
+ Revision: 19594
- remove regeneration of Makefile, as this is not needed anymore
- 0.8.11, patch 0 included upstream


* Thu Mar 01 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.8.10-10mdv2007.0
+ Revision: 130754
- do not package huge (1.2Mb!) ChangeLog
- do not package huge (1.2Mb!) ChangeLog

  + Michael Scherer <misc@mandriva.org>
    - remove svn:mime-type from patch, as they are no longer binaries
    - remove unused macros
    - also bunzip the patch file ( i ran the commit from a wrong place )
    - bunzip patch
    - Import irssi

* Tue Sep 19 2006 Gwenole Beauchesne <gbeauchesne@mandriva.com> 0.8.10-9
- Rebuild

* Thu Aug 10 2006 Michael Scherer <misc@mandriva.org> 0.8.10-8mdv2007.0
- Rebuild

* Fri Jul 21 2006 Michael Scherer <misc@mandriva.org> 0.8.10-7mdv2007.0
- Remove old menu, as this is a non graphical irc client

* Thu Apr 27 2006 Michael Scherer <misc@mandriva.org> 0.8.10-6mdk
- fix 22151, sotlen ubuntu and irssi patch

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.8.10-5mdk
- remove artificial perl deps on main package, as we splitted in irssi-perl

* Fri Jan 20 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8.10-4mdk
- Rebuild for new perl

* Mon Dec 12 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.8.10-3mdk
- fix build with automake 1.7

* Sun Dec 11 2005 Michael Scherer <misc@mandriva.org> 0.8.10-2mdk
- fix backporting ( regenerate configure )
- fix BuildRequires
- compile perl as a module

* Sun Dec 11 2005 Michael Scherer <misc@mandriva.org> 0.8.10-1mdk
- 0.8.10

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.8.10-0.rc5.20050809.3mdk
- rebuilt against openssl-0.9.8a

* Fri Aug 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.10-0.rc5.20050809.2mdk
- fix multiarch

* Fri Aug 12 2005 Per Øyvind Karlsen <pkarlsen@mandriva.com> 0.8.10-0.rc5.20050809.1mdk
- update to 0.8.10-rc5 (svn snapshot from 20050809)
- drop P0 (fixed upstream)
- do libtoolize again
- add headers to devel package

* Fri May 20 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.8.9-7mdk
- Rebuild for new perl
- Patch 0 to build with gcc 4.0.0

* Fri Mar 25 2005 Michael Scherer <misc@mandrake.org> 0.8.9-6mdk
- Rebuild to fix #14964
- fix summary

* Mon Nov 15 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.8.9-5mdk
- Rebuild for new perl; description nits

* Thu Jul 08 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.8.9-4mdk
- Rebuild for new perl

* Wed Apr 07 2004 Michael Scherer <misc@mandrake.org> 0.8.9-3mdk
- rebuild for new perl
- change menu section

